jez9999

Well-Known Member
Jun 10, 2005
87
0
156
Hi,

I tried to login to my webmail today to be greeted with the following message,
"Internal Server Error

Premature end of script headers: php: Please check /usr/local/cpanel/logs/error_log for the exact error."

That logfile was saying that /usr/local/cpanel/3rdparty/bin/php was not executable and sure enough, when I looked in that dir, both php and php-cgi were chmodded to 0644 (rw, r, r)... is this normal?

For now, I've chmodded them 0755 so they're executable. However, now I just get a different error when php tries to run (again I'm trying to check webmail, with Squirrelmail),
"/usr/local/cpanel/3rdparty/bin/php-cgi: error while loading shared libraries: libltdl.so.7: cannot open shared object file: No such file or directory"

That .so file appears not to exist, so I'm not sure what to do now.

Any ideas how I can fix this and why it might have suddenly happened? Have I been hacked? The web service still seems to be running OK.
 

jez9999

Well-Known Member
Jun 10, 2005
87
0
156
OK, well I fixed the problem by switching from Current to Release, and upgrading. *shrug* Strange that it broke on Current, though.